package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/26 星期三 14:55
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eIdentityStatu {
    Parent(1),//家长
    Student(2),//学生
    Teacher(3);//教师

    private int value;

    eIdentityStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eIdentityStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eIdentityStatu.Parent;
            case 2:
                return eIdentityStatu.Student;
            case 3:
                return eIdentityStatu.Teacher;
            default:
                return null;
        }
    }
    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "家长";
            case 2:
                return "学生";
            case 3:
                return "教师";
            default:
                return null;
        }
    }
    public static Integer integerOf(String value) {
        switch (value) {
            case "家长":
                return 1;
            case "学生":
                return 2;
            case "教师":
                return 3;
            default:
                return null;
        }
    }
}
